%% get images from directory, rotate and save for 0,90,180,270 angle
function [ret]=rotateFolder(DB_path)
    DB_dir = dir(DB_path);
    len = length(DB_dir)-2; %skip from the first two "." ".."
    if len>0
    
        path_0 = [pwd,'\images\0'];
        path_90 = [pwd,'\images\90'];
        path_180 = [pwd,'\images\180'];
        path_270 = [pwd,'\images\270'];


        for i = 1:len
            I = imread([DB_path,'\',DB_dir(i+2).name]);
            I = imresize(I,[800,NaN]);
            I_0 = I;
            I_90 = imrotate(I,90);
            I_180 = imrotate(I,180);
            I_270 = imrotate(I,270);


            imwrite(I_0,[path_0,'\', num2str(i),'_0.jpg'],'jpg');
            imwrite(I_90,[path_90,'\', num2str(i),'_90.jpg'],'jpg');
            imwrite(I_180,[path_180,'\', num2str(i),'_180.jpg'],'jpg');
            imwrite(I_270,[path_270,'\', num2str(i),'_270.jpg'],'jpg');
            ret = 1;
        end
    else
        msgbox('DB directory is empty','file not found','error');
        ret = -1;
    end
end